using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ekskurzija
{
    internal class Program
    {
        static void Main(string[] args)
        {

            int t = int.Parse(Console.ReadLine());
            string[] vs = new string[t];
            for (int i = 0; i < t; i++)
            {

                string[] s = Console.ReadLine().Split();
                ulong n = ulong.Parse(s[0]);
                ulong m = ulong.Parse(s[1]);
                ulong k = ulong.Parse(s[2]);

                n = n - k + 1;
                if (m - n > 0) vs[i] = "Tak";
                else vs[i] = "Nie";
            }
            for (int i = 0; i < t; i++)
            {
                Console.WriteLine(vs[i]);
            }

        }
    }
}